### Function

# Pango.AttrFontDesc.new

#### Declaration [src]

    PangoAttribute*
    pango_attr_font_desc_new (
      const PangoFontDescription* desc
    )

#### Description [src]

Create a new font description attribute.

This attribute allows setting family, style, weight, variant, stretch, and size simultaneously.

#### Parameters

`desc` | `PangoFontDescription`
| the font description
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoAttribute`
the newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.
Ownership of the data is transferred to the caller